Create an invitation to allow a new person to join this Octopus instance
POST /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The ID of the space to create the invitation in.
Request Body
AddToTeamIdsarray of string (required)
The teams the user will be invited to join.SpaceIdstring
The ID of the space to create the invitation in.
Response
201 — Created
AddToTeamIdsarray of stringExpiresstring
Formatdate-time.Idstring
Gets or sets a unique identifier for this resource.InvitationCodestring
Minimum length 1.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.SpaceIdstring
Example Request
JSON
{
"AddToTeamIds": [
"Teams-1",
"..."
],
"SpaceId": "Spaces-1"
}Example Response
JSON
{
"AddToTeamIds": [
"string"
],
"Expires": "2020-01-01T00:00:00.000Z",
"Id": "Invitations-1",
"InvitationCode": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"SpaceId": "Spaces-1"
}Get an Invitation by ID
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Invitation to load.spaceIdstring (required)
The ID of the space containing the resources.
Response
200 — An Invitation object
AddToTeamIdsarray of stringExpiresstring
Formatdate-time.Idstring
Gets or sets a unique identifier for this resource.InvitationCodestring
Minimum length 1.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.SpaceIdstring
Example Response
JSON
{
"AddToTeamIds": [
"string"
],
"Expires": "2020-01-01T00:00:00.000Z",
"Id": "Invitations-1",
"InvitationCode": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"SpaceId": "Spaces-1"
}